/*------------------------------------------------------------------------
	CaptureFrame.cpp - CaptureFrame Window Object

	Copyright  1997 by Ixia Communications
	All Rights Reserved.

	Revision Log:
	12-10-1997	MM	Genesis

 *-----------------------------------------------------------------------*/

#include "StdAfx.h"
#include "resource.h"
#include "CaptureFrame.hpp"
#include "CaptureListView.hpp"
#include "Frame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




//  ---------------------------------------------------------------------------
//  -------						Initialize Static Data					-------
//  ---------------------------------------------------------------------------

static UINT indicators[] =
{
	ID_SEPARATOR,
};




//	---------------------------------------------------------------------------
//	-------							CCaptureFrame						-------
//	---------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CCaptureFrame, CMDIChildWnd)

CCaptureFrame::CCaptureFrame()
{
	bClassRegistered = FALSE;
}


CCaptureFrame::~CCaptureFrame()
{
}


BEGIN_MESSAGE_MAP(CCaptureFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CCaptureFrame)
	ON_UPDATE_COMMAND_UI(ID_WINDOW_NEW, OnUpdateWindowNew)
	ON_WM_DESTROY()
	ON_WM_CREATE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()




//	---------------------------------------------------------------------------
//	-------							Initialization						-------
//	---------------------------------------------------------------------------

int CCaptureFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	int iStatus = 0;
	
	if ( CMDIChildWnd::OnCreate(lpCreateStruct) == 0 )
	{
	}
	
	return iStatus;
}


BOOL CCaptureFrame::OnCreateClient(LPCREATESTRUCT /*lpcs*/, CCreateContext* pContext) 
{
	CRect Rect;
	GetClientRect(Rect);

	INT iHeight = AfxGetApp()->GetProfileInt("Capture Frame", "ListView Height", 150);
	iHeight = max(10, iHeight);

	//  Add the first splitter pane - the CCaptureListView in row 0
	if ( !CreateView(pContext) )
	{
		TRACE("CCaptureFrame::OnCreateClient failed to create first splitter pane\n");
		return FALSE;
	}

	iHeight = AfxGetApp()->GetProfileInt("Capture Frame", "DecodeView Height", 100);
	iHeight = max(10, iHeight);
/*
	//	Add the second splitter pane - a CTreeSplitterView in row 1
	if ( !SplitterWindow.CreateView(1, 0, RUNTIME_CLASS(CCaptureListView), CSize(0, iHeight), pContext) )
	{
		TRACE("CCaptureFrame::OnCreateClient failed to create CCapturtDecodeView splitter pane\n");
		return FALSE;
	}
*/
	
	return TRUE;
}


BOOL CCaptureFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
//	GetFrame()->ReadFrameState(&cs, this, "Capture Frame");

	return CMDIChildWnd::PreCreateWindow(cs);
}


VOID CCaptureFrame::OnDestroy() 
{
/*	int iHeight;
	int iMinHeight;

	SplitterWindow.GetRowInfo(0, iHeight, iMinHeight);
	AfxGetApp()->WriteProfileInt("Capture Frame", "ListView Height", iHeight);

	SplitterWindow.GetRowInfo(1, iHeight, iMinHeight);
	AfxGetApp()->WriteProfileInt("Capture Frame", "DecodeView Height", iHeight);

	GetFrame()->WriteFrameState(this, "Capture Frame");
*/
	if (bClassRegistered)
		::UnregisterClass(_T("Capture View"), AfxGetInstanceHandle());

	CMDIChildWnd::OnDestroy();
}


VOID CCaptureFrame::OnUpdateWindowNew(CCmdUI* pCmdUI) 
{
	pCmdUI->Enable(FALSE);		//	Prevent a second instance of the CaptureFrame
}


VOID CCaptureFrame::OnUpdateFrameTitle(BOOL /*bAddToTitle*/)
{
	if ( (GetStyle() & FWS_ADDTOTITLE) == 0 )
		return;									//	Leave it alone!
}


LONG CCaptureFrame::OnSetWindowText(WPARAM /*wParam*/, LPARAM lParam)
{
	sCaption = (LPCTSTR)lParam;
	OnUpdateFrameTitle(FALSE);

	return TRUE;
}


LRESULT CCaptureFrame::OnCommandHelp(WPARAM /*wParam*/, LPARAM /*lParam*/)
{

	return TRUE;
}
