/*------------------------------------------------------------------------
	CaptureFrame.hpp - CaptureFrame Window Object

	Copyright  1997 by Ixia Communications
	All Rights Reserved.

	Revision Log:
	12-10-1997	MM	Genesis

 *-----------------------------------------------------------------------*/

#if !defined(__CaptureFrame_hpp__)
#define __CaptureFrame_hpp__

#if _MSC_VER >= 1000
	#pragma once
#endif


#include "IxSplitterWnd.hpp"



//	---------------------------------------------------------------------------
//	-------							CCaptureFrame						-------
//	---------------------------------------------------------------------------

class CCaptureListView;

class CCaptureFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CCaptureFrame)

protected:
	CCaptureFrame();
	virtual ~CCaptureFrame();

public:
	//{{AFX_VIRTUAL(CCaptureFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);

	protected:
	virtual VOID OnUpdateFrameTitle(BOOL bAddToTitle);
	//}}AFX_VIRTUAL

protected:
	CStatusBar		StatusBar;
	CToolBar		ToolBar;
	CIxSplitterWnd	SplitterWindow;

	BOOL			bClassRegistered;
	CString			sCaption;

	//{{AFX_MSG(CCaptureFrame)
	afx_msg VOID OnUpdateWindowNew(CCmdUI* pCmdUI);
	afx_msg VOID OnDestroy();
	afx_msg INT  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg LONG OnSetWindowText(WPARAM, LPARAM);
	afx_msg VOID OnImport();
	afx_msg VOID OnExport();
	afx_msg VOID OnUpdateExport(CCmdUI* pCmdUI);
	//}}AFX_MSG

	afx_msg LRESULT OnCommandHelp(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}

#endif	//	__CaptureFrame_hpp__
