/*------------------------------------------------------------------------
	CaptureListView.cpp - SliceList View Object

	Copyright  1997 by Ixia Communications
	All Rights Reserved.

	Revision Log:
	12-10-1997	MM	Genesis

 *-----------------------------------------------------------------------*/

#include "StdAfx.h"
#include "resource.h"
#include "Test1Doc.h"
#include "CaptureListView.hpp"


#ifdef _DEBUG
#define new DEBUG_NEW						  
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif




//	---------------------------------------------------------------------------
//	-------						CCaptureListView						-------
//	---------------------------------------------------------------------------

IMPLEMENT_DYNCREATE(CCaptureListView, CListView)

CCaptureListView::CCaptureListView()
{
}


CCaptureListView::~CCaptureListView()
{
}


BEGIN_MESSAGE_MAP(CCaptureListView, CListView)
	//{{AFX_MSG_MAP(CCaptureListView)
	ON_WM_DESTROY()
	ON_WM_CREATE() 
	//}}AFX_MSG_MAP
	ON_NOTIFY_REFLECT(LVN_GETDISPINFO, OnGetdispinfo) 
END_MESSAGE_MAP()




//	---------------------------------------------------------------------------
//	-------							Initialization						-------
//	---------------------------------------------------------------------------

VOID CCaptureListView::OnInitialUpdate() 
{
	CListView::OnInitialUpdate();

	SetExtendedViewStyle();

	for (int i = 1; i <= 1000; i++)
		SliceArray.Add(i);

	GetListCtrl().SetItemCount(SliceArray.GetSize()); 
	GetListCtrl().SetItemState(0, LVIS_SELECTED | LVIS_FOCUSED, LVIS_SELECTED | LVIS_FOCUSED);
}


INT CCaptureListView::OnCreate(LPCREATESTRUCT lpCreateStruct)  
{
	lpCreateStruct->style |= LVS_OWNERDATA;
	lpCreateStruct->style &= ~LVS_EDITLABELS;

	if (CListView::OnCreate(lpCreateStruct) == -1)
		return -1;

	return 0;
}


VOID CCaptureListView::OnDestroy() 
{
	GetListCtrl().SetItemCount(0); // privent bug of Mictosoft that when calling DeleteAllItems() it's take to much time although this is a virtual list.
	CListView::OnDestroy();
}


VOID CCaptureListView::SetExtendedViewStyle()
{
	DWORD dwExtendedStyle = LVS_EX_FULLROWSELECT | LVS_EX_HEADERDRAGDROP;

	GetListCtrl().SetExtendedStyle(dwExtendedStyle);
}


VOID CCaptureListView::OnGetdispinfo(NMHDR* pNMHDR, LRESULT* pResult) 
{
	LV_DISPINFO* pDispInfo = (LV_DISPINFO*)pNMHDR;
	LV_ITEM* pItem= &(pDispInfo)->item;

	TRACE("Item = %d, SubItem = %d\n", pItem->iItem, pItem->iSubItem);

	if (pItem != NULL)
	{
		INT iItemIndx = pItem->iItem;

		if (SliceArray.GetSize() > iItemIndx)
		{
			if (pItem->mask & LVIF_TEXT) 
			{
				CString sLabel;
				sLabel.Format("%i", SliceArray[iItemIndx]);
				lstrcpy(pItem->pszText, sLabel); 
			}
		}
	}

	*pResult = 0;
}

BOOL CCaptureListView::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	return CListView::OnNotify(wParam, lParam, pResult);
}
